#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;

void premesti(vector <int>& niz, int n, int broj, int pozicija) {
	int index = -1;
	for (int i = 0; i<n; i++) {
		if (niz[i] == broj) index = i;
		else if (-niz[i] == broj) index = i;
	}
	
	if ((pozicija - index)%2 == 0 and niz[index] == broj) {
		swap(niz[pozicija], niz[index]);
	}
	else if ((index - pozicija)%2 != 0 and niz[index] == broj) {
		niz[pozicija] = -niz[pozicija];
		niz[index] = -niz[index];
		swap (niz[index], niz[pozicija]);
	}
	else if ((index - pozicija)%2 == 0 and niz[index] == -broj) {
		swap (niz[index], niz[pozicija]);
	}
	else if ((index - pozicija)%2 != 0 and niz[index] == -broj) {
		niz[pozicija] = -niz[pozicija];
		niz[index] = -niz[index];
		swap (niz[index], niz[pozicija]);
	}
}

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	
	int t;
	cin >> t;
	for (int k = 0; k<t; k++) {
		int n, broj;
		cin >> n;
		vector <int> a(n), b(n);
		for (int j = 0; j<n; j++) {
			cin >> a[j];
		}
		for (int j = 0; j<n; j++) {
			cin >> b[j];
		}
			
		for (int j = 0; j< n; j++) {
			broj = a[j];
			premesti(b, n, broj, j);
		}
		if (a == b) cout << "DA" << '\n';
		else cout << "NE" << '\n';
	}
	
return 0;
}